using Services.Interfaces;
using UnityEngine;

namespace Presenter {
    public class AudioPresenter {
        
        private readonly IAudioService audioService;
        
        public AudioPresenter(IAudioService audioService) {
            this.audioService = audioService;
        }

        public void OnMatch(AudioClip clip) {
            this.audioService.PlaySound(clip);
        }
        
        public void OnBombExplosion (AudioClip clip) {
            this.audioService.PlaySound(clip);
        }
    }
}